---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libattach002Agent00.dylib'
relocations:
  - { offsetInCU: 0x6DE, offset: 0x6DE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x83030, symBinAddr: 0xC270, symSize: 0x0 }
  - { offsetInCU: 0x705, offset: 0x705, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x84F70, symBinAddr: 0xE1B0, symSize: 0x0 }
  - { offsetInCU: 0x727, offset: 0x727, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x85360, symBinAddr: 0xE5A0, symSize: 0x0 }
  - { offsetInCU: 0x749, offset: 0x749, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x86300, symBinAddr: 0xF540, symSize: 0x0 }
  - { offsetInCU: 0x75E, offset: 0x75E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x86310, symBinAddr: 0xF550, symSize: 0x0 }
  - { offsetInCU: 0x8DF9, offset: 0x8DF9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x82C80, symBinAddr: 0xC100, symSize: 0x0 }
  - { offsetInCU: 0x8E04, offset: 0x8E04, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x82C84, symBinAddr: 0xC104, symSize: 0x0 }
  - { offsetInCU: 0x8E0F, offset: 0x8E0F, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x82C88, symBinAddr: 0xC108, symSize: 0x0 }
  - { offsetInCU: 0x8E54, offset: 0x8E54, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x82DE0, symBinAddr: 0xC110, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x82E98, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x8EDF, offset: 0x8EDF, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x82E9C, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x8EF8, offset: 0x8EF8, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x82EA0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x8F11, offset: 0x8F11, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x82EA4, symBinAddr: 0xC1D4, symSize: 0x0 }
  - { offsetInCU: 0x8F2A, offset: 0x8F2A, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x82EA8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x8F43, offset: 0x8F43, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x82EB0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x8FCC, offset: 0x8FCC, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x82EC0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x8FE5, offset: 0x8FE5, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x82EC8, symBinAddr: 0xC1F8, symSize: 0x0 }
  - { offsetInCU: 0x8FFE, offset: 0x8FFE, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x82ED0, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x9017, offset: 0x9017, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x82ED8, symBinAddr: 0xC208, symSize: 0x0 }
  - { offsetInCU: 0x9030, offset: 0x9030, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x82EE0, symBinAddr: 0xC210, symSize: 0x0 }
  - { offsetInCU: 0x904A, offset: 0x904A, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x82EE8, symBinAddr: 0xC218, symSize: 0x0 }
  - { offsetInCU: 0x9130, offset: 0x9130, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x82F2C, symBinAddr: 0xC22C, symSize: 0x0 }
  - { offsetInCU: 0x9149, offset: 0x9149, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x82F30, symBinAddr: 0xC230, symSize: 0x0 }
  - { offsetInCU: 0x9162, offset: 0x9162, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x82F38, symBinAddr: 0xC238, symSize: 0x0 }
  - { offsetInCU: 0x917B, offset: 0x917B, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x82F40, symBinAddr: 0xC240, symSize: 0x0 }
  - { offsetInCU: 0x9194, offset: 0x9194, size: 0x8, addend: 0x0, symName: __ZL20agentGotCapabilities, symObjAddr: 0x82F4C, symBinAddr: 0xC24C, symSize: 0x0 }
  - { offsetInCU: 0x91B2, offset: 0x91B2, size: 0x8, addend: 0x0, symName: __ZL9agentName, symObjAddr: 0x82F50, symBinAddr: 0xC250, symSize: 0x0 }
  - { offsetInCU: 0x91CB, offset: 0x91CB, size: 0x8, addend: 0x0, symName: __ZL17classLoadReceived, symObjAddr: 0x82F58, symBinAddr: 0xC258, symSize: 0x0 }
  - { offsetInCU: 0x91E4, offset: 0x91E4, size: 0x8, addend: 0x0, symName: __ZL7options, symObjAddr: 0x82F60, symBinAddr: 0xC260, symSize: 0x0 }
  - { offsetInCU: 0x91FD, offset: 0x91FD, size: 0x8, addend: 0x0, symName: __ZL25classFileLoadHookReceived, symObjAddr: 0x82F68, symBinAddr: 0xC268, symSize: 0x0 }
  - { offsetInCU: 0x9CA9, offset: 0x9CA9, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv9FindClassEPKciS1_, symObjAddr: 0x0, symBinAddr: 0x17B0, symSize: 0x100 }
  - { offsetInCU: 0x9EA6, offset: 0x9EA6, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassED1Ev, symObjAddr: 0x100, symBinAddr: 0x18B0, symSize: 0x220 }
  - { offsetInCU: 0xA221, offset: 0xA221, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassE17DecimalToAsciiRecEPci, symObjAddr: 0x10220, symBinAddr: 0x5D00, symSize: 0x50 }
  - { offsetInCU: 0xA474, offset: 0xA474, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv15RegisterNativesEP7_jclassPK15JNINativeMethodiiPKc, symObjAddr: 0x320, symBinAddr: 0x1AD0, symSize: 0x140 }
  - { offsetInCU: 0xA6E1, offset: 0xA6E1, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIiED1Ev, symObjAddr: 0x460, symBinAddr: 0x1C10, symSize: 0x220 }
  - { offsetInCU: 0xA9E9, offset: 0xA9E9, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIiE17DecimalToAsciiRecEPci, symObjAddr: 0x10270, symBinAddr: 0x5D50, symSize: 0x50 }
  - { offsetInCU: 0xAB47, offset: 0xAB47, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x3750, symBinAddr: 0x1FE0, symSize: 0x80 }
  - { offsetInCU: 0xABDC, offset: 0xABDC, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x36A0, symBinAddr: 0x1F30, symSize: 0xB0 }
  - { offsetInCU: 0xAC37, offset: 0xAC37, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x3580, symBinAddr: 0x1E30, symSize: 0x100 }
  - { offsetInCU: 0xAECA, offset: 0xAECA, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x3890, symBinAddr: 0x2060, symSize: 0x220 }
  - { offsetInCU: 0xB0AF, offset: 0xB0AF, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x3AB0, symBinAddr: 0x2280, symSize: 0xA0 }
  - { offsetInCU: 0xB162, offset: 0xB162, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x3B70, symBinAddr: 0x2320, symSize: 0x110 }
  - { offsetInCU: 0xB258, offset: 0xB258, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x3D10, symBinAddr: 0x2430, symSize: 0x150 }
  - { offsetInCU: 0xB3B0, offset: 0xB3B0, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x4A80, symBinAddr: 0x2580, symSize: 0x30 }
  - { offsetInCU: 0xB471, offset: 0xB471, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x4F10, symBinAddr: 0x25B0, symSize: 0x150 }
  - { offsetInCU: 0xB669, offset: 0xB669, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x5060, symBinAddr: 0x2700, symSize: 0x160 }
  - { offsetInCU: 0xB809, offset: 0xB809, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x5C40, symBinAddr: 0x2860, symSize: 0x1B0 }
  - { offsetInCU: 0xBA24, offset: 0xBA24, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x5DF0, symBinAddr: 0x2A10, symSize: 0xA0 }
  - { offsetInCU: 0xBB95, offset: 0xBB95, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x6160, symBinAddr: 0x2AB0, symSize: 0x20 }
  - { offsetInCU: 0xBBCC, offset: 0xBBCC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x6180, symBinAddr: 0x2AD0, symSize: 0x20 }
  - { offsetInCU: 0xBC03, offset: 0xBC03, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x61A0, symBinAddr: 0x2AF0, symSize: 0x20 }
  - { offsetInCU: 0xBD72, offset: 0xBD72, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x68B0, symBinAddr: 0x2B10, symSize: 0x1A0 }
  - { offsetInCU: 0xC08E, offset: 0xC08E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x6A50, symBinAddr: 0x2CB0, symSize: 0x130 }
  - { offsetInCU: 0xC23E, offset: 0xC23E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x7020, symBinAddr: 0x2DE0, symSize: 0x80 }
  - { offsetInCU: 0xC308, offset: 0xC308, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x70A0, symBinAddr: 0x2E60, symSize: 0x6A0 }
  - { offsetInCU: 0xCE24, offset: 0xCE24, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xE560, symBinAddr: 0x4870, symSize: 0xB0 }
  - { offsetInCU: 0xCE9B, offset: 0xCE9B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x7740, symBinAddr: 0x3500, symSize: 0x70 }
  - { offsetInCU: 0xCF8F, offset: 0xCF8F, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x8450, symBinAddr: 0x3570, symSize: 0xA0 }
  - { offsetInCU: 0xD09A, offset: 0xD09A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x9280, symBinAddr: 0x3610, symSize: 0x40 }
  - { offsetInCU: 0xD190, offset: 0xD190, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x92C0, symBinAddr: 0x3650, symSize: 0x2B0 }
  - { offsetInCU: 0xD536, offset: 0xD536, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x9570, symBinAddr: 0x3900, symSize: 0xC0 }
  - { offsetInCU: 0xD67C, offset: 0xD67C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x9630, symBinAddr: 0x39C0, symSize: 0x10 }
  - { offsetInCU: 0xD73E, offset: 0xD73E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x9640, symBinAddr: 0x39D0, symSize: 0x220 }
  - { offsetInCU: 0xDA3B, offset: 0xDA3B, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0xCE80, symBinAddr: 0x3BF0, symSize: 0x150 }
  - { offsetInCU: 0xDAFE, offset: 0xDAFE, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0xCFD0, symBinAddr: 0x3D40, symSize: 0x3C0 }
  - { offsetInCU: 0xDE33, offset: 0xDE33, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0xD470, symBinAddr: 0x4100, symSize: 0xF0 }
  - { offsetInCU: 0xDEFD, offset: 0xDEFD, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0xD560, symBinAddr: 0x41F0, symSize: 0x270 }
  - { offsetInCU: 0xE1AE, offset: 0xE1AE, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0xD7D0, symBinAddr: 0x4460, symSize: 0xB0 }
  - { offsetInCU: 0xE215, offset: 0xE215, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0xD880, symBinAddr: 0x4510, symSize: 0x1E0 }
  - { offsetInCU: 0xE45C, offset: 0xE45C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getClassName, symObjAddr: 0xDF40, symBinAddr: 0x46F0, symSize: 0x180 }
  - { offsetInCU: 0xE653, offset: 0xE653, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_redefineClass, symObjAddr: 0xE8F0, symBinAddr: 0x4920, symSize: 0x390 }
  - { offsetInCU: 0xE9E6, offset: 0xE9E6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_AttachOnDemand_attach002_attach002Target_agentGotCapabilities, symObjAddr: 0xF130, symBinAddr: 0x4CB0, symSize: 0x10 }
  - { offsetInCU: 0xEB28, offset: 0xEB28, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv10FatalErrorEP7JNIEnv_PKc, symObjAddr: 0xF1E0, symBinAddr: 0x4CC0, symSize: 0x40 }
  - { offsetInCU: 0xEBF5, offset: 0xEBF5, size: 0x8, addend: 0x0, symName: _classLoadHandler, symObjAddr: 0xF220, symBinAddr: 0x4D00, symSize: 0x2A0 }
  - { offsetInCU: 0xEF06, offset: 0xEF06, size: 0x8, addend: 0x0, symName: _classPrepareHandler, symObjAddr: 0xF4C0, symBinAddr: 0x4FA0, symSize: 0x3A0 }
  - { offsetInCU: 0xF3DC, offset: 0xF3DC, size: 0x8, addend: 0x0, symName: _classFileLoadHoockHandler, symObjAddr: 0xF860, symBinAddr: 0x5340, symSize: 0x70 }
  - { offsetInCU: 0xF539, offset: 0xF539, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xF8D0, symBinAddr: 0x53B0, symSize: 0x5D0 }
  - { offsetInCU: 0xFCB4, offset: 0xFCB4, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xFEA0, symBinAddr: 0x5980, symSize: 0x370 }
...
